net.sf.saxon.lib

## Class StandardCollectionURIResolver.FileExpander

- java.lang.Object
- - net.sf.saxon.lib.StandardCollectionURIResolver.FileExpander

- All Implemented Interfaces:
    MappingFunction<ObjectValue,DocumentInfo>
  Enclosing class:
    StandardCollectionURIResolver

      protected static class StandardCollectionURIResolver.FileExpander
      extends Object
      implements MappingFunction<ObjectValue,DocumentInfo>

  Mapping function to process the files in a directory. This maps a sequence of external objects representing files to a sequence of DocumentInfo nodes representing the parsed contents of those files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardCollectionURIResolver.FileExpander(URIQueryParameters params, PipelineConfiguration pipe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceIterator<DocumentInfo>` | `map(ObjectValue item)` Map one item to a sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardCollectionURIResolver.FileExpander

          public StandardCollectionURIResolver.FileExpander(URIQueryParameters params,
                                                    PipelineConfiguration pipe)

  - ### Method Detail

    - #### map

          public SequenceIterator<DocumentInfo> map(ObjectValue item)
                                             throws XPathException

      Map one item to a sequence.
      Specified by:
        `map` in interface `MappingFunction<ObjectValue,DocumentInfo>`
      Parameters:
        `item` - The item to be mapped. If context is supplied, this must be the same as context.currentItem().
      Returns:
        either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.